Returns the number of fields in a result

- « pg_meta_data

- pg_num_rows »

- PHP Manual
- PostgreSQL Functions
- Returns the number of fields in a result

# pg_num_fields

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

pg_num_fields — Returns the number of fields in a result

### Description

pg_num_fields(PgSql\Result `$result`): int

pg_num_fields() returns the number of fields (columns) in the PgSql\Result instance.

> Note:

> This function used to be called pg_numfields().

### Parameters

`result`

  An PgSql\Result instance, returned by pg_query(), pg_query_params() or pg_execute()(among others).

### Return Values

The number of fields (columns) in the result. On error, -1 is returned.

### Changelog

Version | Description
--- | ---
8.1.0 | The `result` parameter expects an PgSql\Result instance now; previously, a resource was expected.

### Examples

Example #1 pg_num_fields() example

    <?php
    $result = pg_query($conn, "SELECT 1, 2");

    $num = pg_num_fields($result);

    echo $num . " field(s) returned.\n";
    ?>

The above example will output:

    2 field(s) returned.

### See Also

- pg_num_rows() - Returns the number of rows in a result
- pg_affected_rows() - Returns number of affected records (tuples)